summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--network/nagios/nagios.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/network/nagios/nagios.SlackBuild b/network/nagios/nagios.SlackBuild
index ebc74a69f1..f8e55326be 100644
--- a/network/nagios/nagios.SlackBuild
+++ b/network/nagios/nagios.SlackBuild
@@ -82,12 +82,8 @@ make install-config
mkdir -p $PKG/etc/httpd/extra
make install-webconf
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Change configuration files to .new
find $PKG/etc/$PRGNAM/ -name *.cfg | while read cfg ; do mv $cfg $cfg.new ; done